View Issue Details

IDProjectCategoryView StatusLast Update
0023159mantisbtuipublic2017-09-03 18:41
ReporterjasonrumneyAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.5.1 
Target Version2.6.0Fixed in Version2.6.0 
Summary0023159: Graph display is too faint and blurred
Description

The MantisGraph display in mantis 2.5.1 looks too washed out, the graphs are barely visible against the white background.
Also, the text on the horizontal axis and legend is blurred and difficult to read (vertical axis seems OK).

Steps To Reproduce

Summary -> any of the graph tabs.

TagsNo tags attached.

Activities

jasonrumney

jasonrumney

2017-07-26 01:04

reporter  

mantis2.5.1-graph.png (68,874 bytes)
mantis2.5.1-graph.png (68,874 bytes)
atroladmin

atroladmin

2017-07-27 15:53

administrator   ~0057341

@vboctor do you agree that the attached look (less transparent, no axes for pie chart) is better than the current one?
If so, I will provide a PR for it.



NewStatusGraph.png (68,105 bytes)
NewStatusGraph.png (68,105 bytes)
vboctor

vboctor

2017-07-28 01:43

manager   ~0057349

@atrol I'm OK with the new colors.

atrol

atrol

2017-07-28 01:48

developer   ~0057350

PR https://github.com/mantisbt/mantisbt/pull/1137

Related Changesets

MantisBT: master 3fa9f5d6

2017-07-27 15:59:15

atrol

Details Diff
Enhance graph display

Reduce transparency
Remove axes form pie charts

Fixes 0023159
mod - plugins/MantisGraph/core/graph_api.php Diff File
mod - plugins/MantisGraph/files/MantisGraph.js Diff File

Issue History

Date Modified Username Field Change
2017-07-26 01:04 jasonrumney New Issue
2017-07-26 01:04 jasonrumney File Added: mantis2.5.1-graph.png
2017-07-27 15:53 atroladmin File Added: NewStatusGraph.png
2017-07-27 15:53 atroladmin Note Added: 0057341
2017-07-28 01:43 vboctor Note Added: 0057349
2017-07-28 01:48 atrol Assigned To => atrol
2017-07-28 01:48 atrol Status new => assigned
2017-07-28 01:48 atrol Target Version => 2.6.0
2017-07-28 01:48 atrol Note Added: 0057350
2017-07-28 01:51 atrol Changeset attached => MantisBT master 3fa9f5d6
2017-07-28 01:51 atrol Status assigned => resolved
2017-07-28 01:51 atrol Resolution open => fixed
2017-07-28 01:51 atrol Fixed in Version => 2.6.0
2017-09-03 18:41 vboctor Status resolved => closed